#4104 closed defect (fixed)

RSB Tools newlib patch checksum fails.

Reported by: Chris Johns Owned by: Chris Johns <chrisj@…>
Priority: normal Milestone: 4.11.4
Component: tool/rsb Version: 4.11
Severity: normal Keywords:
Cc: benjaminhorus@… Blocked By:
Blocking:

Description

The sourceware git web interface has been updated to a new git version and git adds its version number to exported patches. This has broken the checksum for:

newlib-cygwin-git-f70d9ae6adc6ed7952806056349ba9f8ba3c65c8.patch

Any build using our git repo and the 4.11 branch will fail to build.

Change History (3)

comment:1 Changed on 10/02/20 at 02:19:42 by Chris Johns <chrisj@…>

Owner: set to Chris Johns <chrisj@…>
Resolution: fixed
Status: newclosed

In a74f317/rtems-source-builder:

arm: newlib checksum update

  • Sourceware has updated it's version of git and broken the checksum

Closes #4104

comment:2 Changed on 11/04/21 at 03:39:33 by Benjamin Garner

Cc: benjaminhorus@… added
Resolution: fixed
Status: closedreopened

Checksum has broken again for this patch, 4.11 branch failing to build.

comment:3 Changed on 01/24/22 at 04:20:41 by Chris Johns <chrisj@…>

Resolution: fixed
Status: reopenedclosed

In 688f286/rtems-source-builder:

Update the checksum to the handle the new version number

Closes #4104

Note: See TracTickets for help on using tickets.